### Hierarchy

- AbstractNode
  - Argument

## Index

### Constructors

- constructor

### Properties

- kind
- loc
- name
- value

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new Argument(loc: undefined | Location, name: Name, value: Value): Argument

- Overrides AbstractNode.constructor

  - Defined in src/ast/arguments.ts:10

  #### Parameters

  - ##### loc: undefined | Location

  - ##### name: Name

  - ##### value: Value

  #### Returns Argument

## Properties

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### name

name: Name

- Defined in src/ast/arguments.ts:9

### value

value: Value

- Defined in src/ast/arguments.ts:10

## Methods

### accept

- accept(_context: Context, _visitor: Visitor): void

- Inherited from AbstractNode.accept

  - Defined in src/ast/node.ts:29

  #### Parameters

  - ##### _context: Context

  - ##### _visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc